Apache Tomcat 7.0.42

## org.apache.catalina.util
Class Enumerator<T>

    java.lang.Object
      org.apache.catalina.util.Enumerator<T>

All Implemented Interfaces:
  Enumeration<T>

Deprecated. Replaced by java.util.Collections#enumeration(..)

    @Deprecated
    public final class Enumerator<T>

extends Object
implements Enumeration<T>

Adapter class that wraps an `Enumeration` around a Java2 collection classes object `Iterator` so that existing APIs returning Enumerations can easily run on top of the new collections. Constructors are provided to easily create such wrappers.

Version:
  $Id: Enumerator.java 1205131 2011-11-22 19:12:46Z kkolinko $
Author:
  Craig R. McClanahan

Constructor Summary
`Enumerator(Collection<T> collection)` Deprecated. Return an Enumeration over the values of the specified Collection.
`Enumerator(Collection<T> collection, boolean clone)` Deprecated. Return an Enumeration over the values of the specified Collection.
`Enumerator(Iterator<T> iterator)` Deprecated. Return an Enumeration over the values returned by the specified Iterator.
`Enumerator(Iterator<T> iterator, boolean clone)` Deprecated. Return an Enumeration over the values returned by the specified Iterator.
`Enumerator(Map<?,T> map)` Deprecated. Return an Enumeration over the values of the specified Map.
`Enumerator(Map<?,T> map, boolean clone)` Deprecated. Return an Enumeration over the values of the specified Map.

Method Summary
`boolean` `hasMoreElements()` Deprecated. Tests if this enumeration contains more elements.
`T` `nextElement()` Deprecated. Returns the next element of this enumeration if this enumeration has at least one more element to provide.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Enumerator

    public Enumerator(Collection<T> collection)

  Deprecated.
  Return an Enumeration over the values of the specified Collection.

  Parameters:
    `collection` - Collection whose values should be enumerated

### Enumerator

    public Enumerator(Collection<T> collection,
                      boolean clone)

  Deprecated.
  Return an Enumeration over the values of the specified Collection.

  Parameters:
    `collection` - Collection whose values should be enumerated
    `clone` - true to clone iterator

### Enumerator

    public Enumerator(Iterator<T> iterator)

  Deprecated.
  Return an Enumeration over the values returned by the specified Iterator.

  Parameters:
    `iterator` - Iterator to be wrapped

### Enumerator

    public Enumerator(Iterator<T> iterator,
                      boolean clone)

  Deprecated.
  Return an Enumeration over the values returned by the specified Iterator.

  Parameters:
    `iterator` - Iterator to be wrapped
    `clone` - true to clone iterator

### Enumerator

    public Enumerator(Map<?,T> map)

  Deprecated.
  Return an Enumeration over the values of the specified Map.

  Parameters:
    `map` - Map whose values should be enumerated

### Enumerator

    public Enumerator(Map<?,T> map,
                      boolean clone)

  Deprecated.
  Return an Enumeration over the values of the specified Map.

  Parameters:
    `map` - Map whose values should be enumerated
    `clone` - true to clone iterator

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Deprecated.
  Tests if this enumeration contains more elements.

  Specified by:
    `hasMoreElements` in interface `Enumeration<T>`
  Returns:
    `true` if and only if this enumeration object contains at least one more element to provide, `false` otherwise

### nextElement

    public T nextElement()
                  throws NoSuchElementException

  Deprecated.
  Returns the next element of this enumeration if this enumeration has at least one more element to provide.

  Specified by:
    `nextElement` in interface `Enumeration<T>`
  Returns:
    the next element of this enumeration
  Throws:
    `NoSuchElementException` - if no more elements exist

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.